Bug 231096 - sysutils/openhpi update to 3.8.0
Summary: sysutils/openhpi update to 3.8.0
Status: In Progress
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Rene Ladan
URL:
Keywords:
Depends on: 232025
Blocks: 231097
  Show dependency treegraph
 
Reported: 2018-09-02 15:03 UTC by w.schwarzenfeld
Modified: 2019-06-02 14:10 UTC (History)
2 users (show)

See Also:


Attachments
svn-diff-openhpi-3.8.0 (6.27 KB, patch)
2018-09-02 15:03 UTC, w.schwarzenfeld
no flags Details | Diff
patch-v2 (6.52 KB, patch)
2018-09-03 20:15 UTC, Kurt Jaeger
no flags Details | Diff
patch-v3 (7.61 KB, patch)
2018-09-04 05:17 UTC, Kurt Jaeger
no flags Details | Diff
patch-v4 (9.23 KB, patch)
2019-03-07 02:01 UTC, Kurt Jaeger
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description w.schwarzenfeld freebsd_triage 2018-09-02 15:03:47 UTC
Created attachment 196791 [details]
svn-diff-openhpi-3.8.0

Update sysutils/openhpi to 3.8.0. Found no ChangeLog, Seems only bug fixes.
Comment 1 Kurt Jaeger freebsd_committer 2018-09-03 20:15:42 UTC
Created attachment 196828 [details]
patch-v2

This patch works in poudriere and does not drop an init.d/openhpid somewhere.
Comment 2 Kurt Jaeger freebsd_committer 2018-09-04 05:17:31 UTC
Created attachment 196845 [details]
patch-v3

Ups, missed the patch...
Comment 3 Kurt Jaeger freebsd_committer 2019-03-06 12:40:15 UTC
Fails to build on 12/13 due to TLS issues:

ipmi_auth.cpp:98:3: error: unknown type name 'MD2_CTX'
Comment 4 Kurt Jaeger freebsd_committer 2019-03-06 21:51:16 UTC
Cause: Because the system openssl defines OPENSSL_NO_MD2...

openssl help

says so in the Message Digest section.
Comment 5 Kurt Jaeger freebsd_committer 2019-03-06 22:00:27 UTC
next bug: ov_rest_event.c wants amqp_ssl_socket.h
Comment 6 Kurt Jaeger freebsd_committer 2019-03-06 22:04:25 UTC
adding lib_depends librabbitmq.so:net/rabbitmq-c
Comment 7 Kurt Jaeger freebsd_committer 2019-03-07 02:01:21 UTC
Created attachment 202666 [details]
patch-v4

testbuilds@work
Comment 8 Kurt Jaeger freebsd_committer 2019-03-07 02:05:55 UTC
testbuilds are ok.
Comment 9 w.schwarzenfeld freebsd_triage 2019-04-07 10:14:55 UTC
In the meantime the port has an expiration date:  =>	 EXPIRATION_DATE=2019-05-08
Comment 10 Rene Ladan freebsd_committer 2019-06-01 18:46:49 UTC
Steal from pi@
Comment 11 Rene Ladan freebsd_committer 2019-06-01 19:26:27 UTC
Builds fine without PR 232025 on 11.2-i386, see http://localhost/data/11_2-i386-default/2019-06-01_20h57m10s/logs/openhpi-3.8.0.log

Is the newer snmp a runtime requirement?
Comment 13 Rene Ladan freebsd_committer 2019-06-01 20:01:52 UTC
Fails on 13-amd64 (r347608) because of SSL errors, see http://82.161.212.209/data/head-amd64-default/2019-06-01_21h29m31s/logs/errors/openhpi-3.8.0.log
Comment 14 Rene Ladan freebsd_committer 2019-06-02 12:32:16 UTC
openhpi 3.8.0 builds fine on 12.0-amd64.
Comment 15 Rene Ladan freebsd_committer 2019-06-02 14:10:29 UTC
So it builds fine on 11.2-i386, 11.2-amd64 and 12.0-amd64 but fails to build on 12.0-i386, 13-i386 and 13-amd64, all with SSL symbol errors. The port could still be committed with some BROKEN markers and fixed later.